- Mock serverhttps://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/quotes/{quote-id}
- UAT environment with simulated currencyhttps://api.test.ripple.com/v2/quotes/{quote-id}
- Production environmenthttps://api.ripple.com/v2/quotes/{quote-id}
curl -i -X GET \
https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/quotes/22222222-aaaa-2222-bbbb-222222222222 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Valid quote found
Unique ID that represents this quote.
| Enum Value | Description |
|---|---|
| EXPIRED | Expired quote |
| ACTIVE | Quote that you can accept to create a payment. |
The type of amount for which you want to get a quote.
| Enum Value | Description |
|---|---|
| SOURCE_AMOUNT | Specify this value to get a quote for the amount that you want to send. |
| DESTINATION_AMOUNT | Specify this value to get a quote for the amount that the beneficiary should receive. |
Amount to be sent by the originator. The value is rounded to the number of decimal places defined by the ISO 4217 standard for the source currency (for example, 2 for USD/EUR, 0 for JPY/KRW, 3 for BHD/KWD), using HALF_UP rounding mode.
Amount to be received by the beneficiary. The value is rounded to the number of decimal places defined by the ISO 4217 standard for the destination currency (for example, 2 for USD/EUR, 0 for JPY/KRW, 3 for BHD/KWD), using HALF_UP rounding mode.
The currency code of the currency that you are sending.
The currency code of the currency in which your beneficiary will receive this payment.
The country where the payment originator is located or incorporated, specified in Alpha-2 Code format as defined in the ISO CountryCode ISO 3166-1 list.
The country code to which you wish to send the funds. It follows ISO 3166-1 alpha-2 code
Name of the payout category specified in the quote request.
The name of payin category specified in the quote request.
The time when this quote was created, specified in UTC.
The time when this quote expires, specified in UTC.
{ "quoteId": "7ea3399c-1234-5678-8d8f-d320ea406630", "quoteStatus": "ACTIVE", "quoteAmountType": "SOURCE_AMOUNT", "sourceAmount": 123.45, "destinationAmount": 2438.19, "sourceCurrency": "USD", "destinationCurrency": "MXN", "sourceCountry": "US", "destinationCountry": "MX", "payoutCategory": "BANK", "payinCategory": "PRE_FUNDING", "adjustedExchangeRate": { "adjustedRate": 2 }, "fees": [ { … } ], "taxes": [ { … } ], "createdAt": "2023-11-02T18:26:00.000123Z", "expiresAt": "2023-11-02T18:26:00.000123Z", "destinationBlockchainNetwork": "Ethereum" }